<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<style>
   
    *{
        font-family:Verdana, Geneva, Tahoma, sans-serif;
        margin: 0;
        padding: 0;

    }
    p{
        margin-left: 15%;
        margin-top: 10px;
    }

    legend{
        text-align: center;
    }

    #remove{
        margin-top: 8%;

    }

   fieldset{
        background-color: #F8F7F9;
        padding: 0 5% 5% 5%;
        display: flex;
        flex-direction: column;
        
        margin: 0 15%;
    }
    label{
        margin-bottom: 2%;
    }
    input{
        padding-bottom: 5px;
        padding-top: 5px;
        
    }
    #add{
        margin-left: 15%;
        margin-top: 12px;
        background-color: white;
        padding: 4px;
        
    }

    #change2{
        margin-top: 8px;
    }
    #change, #index, #textindex{
        visibility: hidden;
        margin-top: 8px;
    }

</style>
<body>


    <fieldset>
        <legend>Cotações</legend>
        <label for="contações" required>Título</label>
        <input id ="text" type="text"></input>
        
        <label for="contações" id ="index">posição</label>
        <input id ="textindex" type="number"></input>
        <button onclick= "changeItem()" id="change">confirmar</button>
        
        <button onclick= "removeItem()" id="remove">Remover</button>
        <button onclick= "appearChangeOption()" id="change2" >mudar cotação</button>
    </fieldset>

    <button onclick= "addItem()" id="add">Adicionar cotação</button>
<div id="items">
  
</div>


    <script>
    let array = [];
    let aux
    var list =  document.getElementById("items")
    function addItem(){
        if(document.getElementById("text").value == null){
        array.push(document.getElementById("text").value)
        var item = document.createElement("p")
        var cotação = document.createTextNode((array[array.length - 1]))
        item.appendChild(cotação) 
        
        list.appendChild(item)
    }
}

    function removeItem(){
        for(let i = 0; i < array.length;i++){
            if(document.getElementById("text").value == array[i]){
                aux = array[i]
                array[i] = array[0]
                array[0] = aux
                array.pop
                list.removeChild(document.getElementsByTagName("p")[i])
                break;
            }
        }
    }
    
    function appearChangeOption(){
        document.getElementById("textindex").style.visibility = "visible"
        document.getElementById("index").style.visibility = "visible"
        document.getElementById("change").style.visibility = "visible"
    }

    function changeItem(){
        if(document.getElementById("textindex").value < array.length){
           
            list.removeChild(document.getElementsByTagName("p")[document.getElementById("textindex").value])
            var item = document.createElement("p")
            var changeditem = document.createTextNode(document.getElementById("text").value)
            item.appendChild(changeditem) 
        
            list.replaceChild(item, list.childNodes[document.getElementById("textindex").value])
            
            document.getElementById("textindex").style.visibility = "hidden"
            document.getElementById("index").style.visibility = "hidden"
            document.getElementById("change").style.visibility = "hidden"
        }
    }

    </script>



</body>

</html>